Domain names - implementation and specification

This specification has been revised 4 times since RFC 882 (1983). Each document below formally obsoleted the one before it; the versions still in force are listed first.

Revision timeline

  1. RFC 882 (1983)
  2. RFC 883 (1983)
  3. RFC 973 (1986)
  4. RFC 1034 (1987)
  5. RFC 1035 (1987) ✓

Current versions — implement against these

Superseded versions — historical reference only

This lineage is derived automatically from the “obsoletes” relationships recorded in the public RFC Editor index — no editorial judgement is applied to the ordering. The most recent document in the chain is RFC 1035 (November 1987).